summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-06-25 11:16:44 +0200
committerHans de Graaff <graaff@gentoo.org>2016-06-25 11:21:11 +0200
commit274817f970064c067fe144752b3fa7ebb61c30bd (patch)
tree113a49666686567b1b01ae753fc564ceb527dd87 /dev-ruby/ruby-clutter-gtk
parentdev-ruby/ruby-clutter-gstreamer: add 3.0.8 (diff)
downloadgentoo-274817f970064c067fe144752b3fa7ebb61c30bd.tar.gz
gentoo-274817f970064c067fe144752b3fa7ebb61c30bd.tar.bz2
gentoo-274817f970064c067fe144752b3fa7ebb61c30bd.zip
dev-ruby/ruby-clutter-gtk: add 3.0.8
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/ruby-clutter-gtk')
-rw-r--r--dev-ruby/ruby-clutter-gtk/Manifest1
-rw-r--r--dev-ruby/ruby-clutter-gtk/ruby-clutter-gtk-3.0.8.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/dev-ruby/ruby-clutter-gtk/Manifest b/dev-ruby/ruby-clutter-gtk/Manifest
index f88b5cee379..68775b3cce5 100644
--- a/dev-ruby/ruby-clutter-gtk/Manifest
+++ b/dev-ruby/ruby-clutter-gtk/Manifest
@@ -1,3 +1,4 @@
DIST ruby-gnome2-all-2.2.3.tar.gz 1657315 SHA256 1611038c2a49fe051dfcc779aeca8eb47273718d80a0680442504fd54e228154 SHA512 cf6b0c88c91e444f5ff65a4a863630c5455315c08f1b44a5f7c81db51f998d6e83ab62e00276edb4a81ea9942405d76724f52134d2388010ec0f157a6a5dc34e WHIRLPOOL e5a6347b360b64f6b690a28483f8618d58786bbbf1fd6c691952271c85bf1d96dc8c97f1e4ed541f6cf8afac56221950db30873cc83a24210b6feef969eaf4b7
DIST ruby-gnome2-all-2.2.5.tar.gz 1696485 SHA256 ef22418c95ce9f997235aee1a1b4d1265fad023e78a8f452bdd9e95267dd52b9 SHA512 60693ec2db4c4159a634f33bf7021e078cc06e25d4e10c6ac0c8a30ac03f9b8119ed94d9b62408a2010c9c3d1f812dea3ab5c6c617eda5d4c73272d64934159e WHIRLPOOL 161ae5b591bd1b6ba3601d46bc4fcfa6c57b006bd5903ba5a8c7ec670f11e06091ce5314290e24b312ecb61ceef22fb91231079f03f16a873a4e890142389123
DIST ruby-gnome2-all-3.0.7.tar.gz 1692752 SHA256 4b65da24a5fdd4a774d6f238abcce8a3aca2bad093211bb824fb6a06e5430375 SHA512 0cfd5dd13ef0e0986ddd2235f88ffb21d15e6cb709b47252bb34e587fef88c0234e65f178eccec7dbfd45759ba37f1bbdcee6c7908d3f9daaf3369453b2478ee WHIRLPOOL 0a0e2749f6642485bada7ab22d69a3ed0e4d170a2d0dec6db88e62179264c6093a51c05cca87c64a4a3e9d1bdedb05a92fba81f6098872c06c8cbfa451ccedf2
+DIST ruby-gnome2-all-3.0.8.tar.gz 1732574 SHA256 47449f4d9eb9a175fdff5115157b4ea07ad6aa3bff7fa6258d42920b2cbb45a5 SHA512 e30c2cd95db762eff4f5f6d6f03811338657a849fc94d1af71488bb912cc82b85c0aa6860658f6eba66119ef95382ad142661751471a52de9606c5514ec6a6cf WHIRLPOOL 7b0580639ed2d1364e0de0135f9256d014771dfba3e94f6a220a26faa969dcc8cb198eab400ea6ebc25fa89082a8c96cb81ec2b0231784aea3b8e748b322f19e
diff --git a/dev-ruby/ruby-clutter-gtk/ruby-clutter-gtk-3.0.8.ebuild b/dev-ruby/ruby-clutter-gtk/ruby-clutter-gtk-3.0.8.ebuild
new file mode 100644
index 00000000000..caf0fc45675
--- /dev/null
+++ b/dev-ruby/ruby-clutter-gtk/ruby-clutter-gtk-3.0.8.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23"
+
+inherit virtualx ruby-ng-gnome2
+
+DESCRIPTION="Ruby Clutter bindings"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RUBY_S=ruby-gnome2-all-${PV}/clutter-gtk
+
+DEPEND+=" media-libs/clutter-gtk"
+RDEPEND+=" media-libs/clutter-gtk"
+
+ruby_add_bdepend ">=dev-ruby/ruby-glib2-${PV}"
+ruby_add_rdepend ">=dev-ruby/ruby-clutter-${PV}
+ >=dev-ruby/ruby-gtk3-${PV}"
+
+all_ruby_prepare() {
+ # Avoid unneeded dependency on test-unit-notify.
+ sed -i -e '/notify/ s:^:#:' \
+ ../gobject-introspection/test/gobject-introspection-test-utils.rb \
+ ../clutter/test/clutter-test-utils.rb \
+ test/clutter-gtk-test-utils.rb || die
+
+ # Avoid compilation of dependencies during test.
+ sed -i -e '/and have_make/,/^ end/ s:^:#:' test/run-test.rb || die
+}
+
+each_ruby_configure() {
+ :
+}
+
+each_ruby_compile() {
+ :
+}
+
+each_ruby_test() {
+ VIRTUALX_COMMAND=${RUBY}
+ virtualmake test/run-test.rb || die
+}
+
+each_ruby_install() {
+ each_fakegem_install
+}